with GNATCOM.Dispinterface;

package MSHTML.IHTMLStyleSheetPage_Interface is

   type IHTMLStyleSheetPage_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLStyleSheetPage_Type);

   function Pointer (This : IHTMLStyleSheetPage_Type)
     return Pointer_To_IHTMLStyleSheetPage;

   procedure Attach (This    : in out IHTMLStyleSheetPage_Type;
                     Pointer : in     Pointer_To_IHTMLStyleSheetPage);

   function Get_selector
     (This : IHTMLStyleSheetPage_Type)
     return GNATCOM.Types.BSTR;

   function Get_pseudoClass
     (This : IHTMLStyleSheetPage_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IHTMLStyleSheetPage_Interface;

